{
  pkgs,
  self,
  windows-theme,
  system,
  ...
}:
{
  dconf.settings = {
    "org/mate/desktop/interface" = {
    	gtk-theme = "Windows XP Luna";
    	icon-theme = "windows-xp-icon-theme";
    };

    "org/mate/marco/general" = {
      theme = "Windows XP Luna";
    };

    "org/mate/desktop/peripherals/mouse" = {
      cursor-theme = "ModernXP";
    };

    "org/mate/desktop/background" = {
	    picture-filename = "/home/admin/.background-image"; 
    };

    "org/mate/panel/general" = {
      toplevel-id-list = [ "bottom" ];
      object-id-list = [
        "menu-bar"
        "window-list"
        "battery"
        "brightness"
        "notification-area"
        "clock"
      ];
    };

    "org/mate/panel/objects/menu-bar" = { 
      locked = true;
      object-type = "menu-bar";
      panel-right-stick = false;
      position = 0;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/window-list" = {
      locked = true;
      applet-iid = "WnckletFactory::WindowListApplet";
      object-type = "applet";
      #panel-right-stick = ;
      position = 20;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/battery" = {
      locked = true;
      applet-iid = "BattstatAppletFactory::BattstatApplet";
      object-type = "applet";
      panel-right-stick = true;
      position = 222;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/battery/prefs" = {
      red-value = 15;
      red-value-is-tiem = false;
      show-text = 1;
    };

    "org/mate/panel/objects/brightness" = {
      locked = true;
      applet-iid = "BrightnessAppletFactory::BrightnessApplet";
      object-type = "applet";
      panel-right-stick = true;
      position = 182;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/notification-area"= {
      locked = true;
      applet-iid = "NotificationAreaAppletFactory::NotificationArea";
      object-type = "applet";
      panel-right-stick = true;
      position = 158;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/clock" = {
      locked = true;
      applet-iid = "ClockAppletFactory::ClockApplet";
      object-type = "applet";
      panel-right-stick = true;
      position = 124;
      toplevel-id = "bottom";
    };

    "org/mate/panel/objects/clock/prefs" = {
      expand-locations = false;
      show-temperature = false;
      show-weather = false;
    };

    "org/mate/panel/toplevels/bottom" = {
      orientation = "bottom";
      y-bottom = 0;
    };
  };
  
  home.packages = with windows-theme.packages.x86_64-linux; [
    windows-xp-theme
    windows-xp-icons
    windows-xp-cursor
  ];

  home.file.".background-image".source = ./wall.png;

  gtk = {
    enable = true;
    theme = {
      name = "Windows XP Luna";
      package = windows-theme.packages.${system}.windows-xp-theme;
    };
    iconTheme = {
      name = "windows-XP";
      package = windows-theme.packages.${system}.windows-xp-icons;
    };
    cursorTheme = {
      name = "ModernXP";
      package = windows-theme.packages.${system}.windows-xp-cursor;
    };
    #gtk3 = {
    #  extraConfig.gtk-application-prefer-dark-theme = true;
    #};
  };
}
